summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2020-11-28 00:38:59 +0100
committer Willy Sudiarto Raharjo2020-11-28 19:02:55 +0100
commitf136b77e97c51f488470ea83e5088f1afe600b72 (patch)
tree2b88124988eb306c8ff4e070cfd1d0e3bc77a596
parent1e651dc4b6fbfc5a48e8bd8c909db145c24444e0 (diff)
downloadslackbuilds-f136b77e97c51f488470ea83e5088f1afe600b72.tar.gz
libraries/libnsgif: Added (gif image decoder library)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/libnsgif/README5
-rw-r--r--libraries/libnsgif/git2tarxz.sh51
-rw-r--r--libraries/libnsgif/libnsgif.SlackBuild90
-rw-r--r--libraries/libnsgif/libnsgif.info10
-rw-r--r--libraries/libnsgif/slack-desc19
5 files changed, 175 insertions, 0 deletions
diff --git a/libraries/libnsgif/README b/libraries/libnsgif/README
new file mode 100644
index 0000000000..7ea6e67f8f
--- /dev/null
+++ b/libraries/libnsgif/README
@@ -0,0 +1,5 @@
+libnsgif (gif image decoder library)
+
+The functions provided by this library allow for efficient progressive
+GIF decoding. This library was originally part of the netsurf browser,
+before it was distributed as a standalone library.
diff --git a/libraries/libnsgif/git2tarxz.sh b/libraries/libnsgif/git2tarxz.sh
new file mode 100644
index 0000000000..d02b54ba5f
--- /dev/null
+++ b/libraries/libnsgif/git2tarxz.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+### Containg libnsgif specific stuff, do not use as-is for a template!
+
+# Create source tarball from git repo, with generated version
+# number.
+
+# Note that this script doesn't need to be run as root. It does
+# need to be able to write to the current directory it's run from.
+
+# Takes one optional argument, which is the commit or tag to create
+# a tarball of. With no arg, HEAD is used.
+
+PRGNAM=libnsgif
+CLONE_URL=https://github.com/jcupitt/libnsgif
+
+# The version of libnsgif from the netsurf project, that this autotools
+# version was forked from. Have to keep track of this manually unless
+# upstream starts using git tags.
+MAINVER=0.2.1
+
+set -e
+
+GITDIR=$( mktemp -dt $PRGNAM.git.XXXXXX )
+rm -rf $GITDIR
+git clone $CLONE_URL $GITDIR
+
+CWD="$( pwd )"
+cd $GITDIR
+
+if [ "$1" != "" ]; then
+ git reset --hard "$1" || exit 1
+fi
+
+GIT_SHA=$( git rev-parse --short HEAD )
+
+DATE=$( git log --date=format:%Y%m%d --format=%cd | head -1 )
+
+VERSION=${MAINVER}+${DATE}_${GIT_SHA}
+
+rm -rf .git
+find . -name .gitignore -print0 | xargs -0 rm -f
+
+cd "$CWD"
+rm -rf $PRGNAM-$VERSION $PRGNAM-$VERSION.tar.xz
+mv $GITDIR $PRGNAM-$VERSION
+tar cvfJ $PRGNAM-$VERSION.tar.xz $PRGNAM-$VERSION
+
+echo
+echo "Created tarball: $PRGNAM-$VERSION.tar.xz"
+echo "VERSION=$VERSION"
diff --git a/libraries/libnsgif/libnsgif.SlackBuild b/libraries/libnsgif/libnsgif.SlackBuild
new file mode 100644
index 0000000000..18d73819ad
--- /dev/null
+++ b/libraries/libnsgif/libnsgif.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for libnsgif
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=libnsgif
+VERSION=${VERSION:-0.2.1+20200706_0cb9bfc}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# Somehow the closing } of the last function of this file got removed (?)
+echo "}" >> src/$PRGNAM.c
+
+autoreconf -ivf
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+sed -i '/^includedir/s,$,/libnsgif,' \
+ $PKG/usr/lib$LIBDIRSUFFIX/pkgconfig/$PRGNAM.pc
+
+# we don't need this:
+rm -f $PKG/usr/lib$LIBDIRSUFFIX/*.la
+
+# examples/ has a broken perl script that doesn't even use libnsgif and
+# a shell script that doesn't work at all. Don't bother.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README* CHANGELOG COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libnsgif/libnsgif.info b/libraries/libnsgif/libnsgif.info
new file mode 100644
index 0000000000..dcf42b963f
--- /dev/null
+++ b/libraries/libnsgif/libnsgif.info
@@ -0,0 +1,10 @@
+PRGNAM="libnsgif"
+VERSION="0.2.1+20200706_0cb9bfc"
+HOMEPAGE="https://github.com/jcupitt/libnsgif"
+DOWNLOAD="https://slackware.uk/~urchlay/src/libnsgif-0.2.1+20200706_0cb9bfc.tar.xz"
+MD5SUM="d06dc7be67f4f9e2614e4e131975c41f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/libraries/libnsgif/slack-desc b/libraries/libnsgif/slack-desc
new file mode 100644
index 0000000000..3906632288
--- /dev/null
+++ b/libraries/libnsgif/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libnsgif: libnsgif (gif image decoder library)
+libnsgif:
+libnsgif: The functions provided by this library allow for efficient progressive
+libnsgif: GIF decoding. This library was originally part of the netsurf browser,
+libnsgif: before it was distributed as a standalone library.
+libnsgif:
+libnsgif:
+libnsgif:
+libnsgif:
+libnsgif:
+libnsgif: